- to configure create the required ~/.python-gitlab.cfg with a section named with the git project name.
- add git hook in pre push : nohup /usr/local/bin//gitlab-cicd-powerline.py > /tmp/gitlab-cicd-powerline.log 2>&1 &
- add cicd="$(cat .cache/gitlab-cicd)" in powerline.bash in __powerline_segment_git
